Package com.collibra.catalog.api.component.classification.dto

# Class FindClassificationMatchesRequest.Builder

Object
Builder

Enclosing class:
  `FindClassificationMatchesRequest`

public static class FindClassificationMatchesRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindClassificationMatchesRequest.Builder`
  `assetIds(List<UUID> assetIds)`
  `FindClassificationMatchesRequest.Builder`
  `assetTypeIds(List<UUID> assetTypeIds)`
  `FindClassificationMatchesRequest`
  `build()`
  `FindClassificationMatchesRequest.Builder`
  `classificationIds(List<UUID> classificationIds)`
  `FindClassificationMatchesRequest.Builder`
  `limit(int limit)`
  `FindClassificationMatchesRequest.Builder`
  `offset(int offset)`
  `FindClassificationMatchesRequest.Builder`
  `statuses(List<FindClassificationMatchesRequest.ClassificationStatus> statuses)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### offset

    public FindClassificationMatchesRequest.Builder offset(int offset)
    Returns:
      `this`.

  - ### limit

    public FindClassificationMatchesRequest.Builder limit(int limit)
    Returns:
      `this`.

  - ### assetIds

    public FindClassificationMatchesRequest.Builder assetIds(List<UUID> assetIds)
    Returns:
      `this`.

  - ### statuses

    public FindClassificationMatchesRequest.Builder statuses(List<FindClassificationMatchesRequest.ClassificationStatus> statuses)
    Returns:
      `this`.

  - ### classificationIds

    public FindClassificationMatchesRequest.Builder classificationIds(List<UUID> classificationIds)
    Returns:
      `this`.

  - ### assetTypeIds

    public FindClassificationMatchesRequest.Builder assetTypeIds(List<UUID> assetTypeIds)
    Returns:
      `this`.

  - ### build

    public FindClassificationMatchesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`